from django.contrib import admin
from hsis.mymodels.models import *

class CourseAdmin(admin.ModelAdmin):
    list_display = ('course_id','startingYear')
	
class ClassAdmin(admin.ModelAdmin):
    list_display = ('course', 'name', 'formTeacher')

class LessonAdmin(admin.ModelAdmin):
    list_display = ('lesson_id','subject')

class ManagerAdmin(admin.ModelAdmin):
    list_display = ('manager_id','first_name', 'last_name')
	
class SubjectOfStudentAdmin(admin.ModelAdmin):
    list_display = ('theStudent', 'theSubject')
    
class SubjectOfTeacherAdmin(admin.ModelAdmin):
    list_display = ('theTeacher', 'theSubject')
	
class TeacherClassLessonAdmin(admin.ModelAdmin):
    list_display = ('theTeacher', 'theClass', 'theLesson')
    
class GradeOfStudentAdmin(admin.ModelAdmin):
    list_display = ('theStudent', 'theSubject', 'gradeType', 'grade')
	
class ParentAdmin(admin.ModelAdmin):
    list_display = ('parent_id','first_name', 'last_name')
	
class StudentAdmin(admin.ModelAdmin):
    list_display = ('student_id','first_name', 'last_name')

class SubjectAdmin(admin.ModelAdmin):
    list_display = ('subject_id','name')

class TeacherAdmin(admin.ModelAdmin):
    list_display = ('teacher_id','first_name', 'last_name')

admin.site.register(Teacher, TeacherAdmin)
admin.site.register(Subject, SubjectAdmin)
admin.site.register(Student, StudentAdmin)
admin.site.register(Parent, ParentAdmin)
admin.site.register(Manager, ManagerAdmin)
admin.site.register(Lesson, LessonAdmin)
admin.site.register(Class, ClassAdmin)
admin.site.register(Course, CourseAdmin)
admin.site.register(SubjectOfStudent, SubjectOfStudentAdmin)
admin.site.register(SubjectOfTeacher, SubjectOfTeacherAdmin)
admin.site.register(TeacherClassLesson, TeacherClassLessonAdmin)
admin.site.register(GradeOfStudent, GradeOfStudentAdmin)
