from django.conf.urls.defaults import *
from hsis.ManagerAction.views import *

urlpatterns = patterns('',
    (r'^courses/$', requires_login(courses_list)),
	(r'^courses/add/$', requires_login(add_course)),
    (r'^courses/(\d+)/$', requires_login(classes_list)),
	(r'^courses/(\d+)/add/$', requires_login(add_class)),
	(r'^courses/(\d+)/edit/$', requires_login(edit_course)),
	(r'^courses/(\d+)/(\d+)/$', requires_login(students_list)),
	(r'^courses/(\d+)/(\d+)/add/$', requires_login(add_student)),
	(r'^courses/(\d+)/(\d+)/(\d+)/$', requires_login(edit_student)),
	(r'^teachers/$', requires_login(teachers_list)),
	(r'^teachers/add/$', requires_login(add_teacher)),
	(r'^teachers/(\d+)/$', requires_login(edit_teacher)),
)
